en.Wikinews would like to make Vector the default skin
Closed, ResolvedPublic

Description

Author: wiki

Description:
We thought that since since the usability group has gone through such pains to make a wonderful skin, it should be put to use. en.Wikinews would like to volunteer for the job and therefor would like to request that our default skin be set to Vector.

A majority of our regulars have been running Vector since it was announced on the lists and we've gotten most everything fixed up (like gadgets and custom styles). We've also hijacked our URL shortener (enwn.net) to automatically send all our Twitter clicks to ?useskin=vector - We've had no complaints.

Community Vote:
http://en.wikinews.org/wiki/Wikinews:Water_cooler/proposals#Make_Vector_Default_Skin

For posterity:
http://en.wikinews.org/w/index.php?title=Wikinews:Water_cooler/proposals&oldid=851378#Make_Vector_Default_Skin


Version: unspecified
Severity: enhancement

bzimport set Reference to bz19865.
bzimport created this task.Via LegacyJul 21 2009, 6:26 PM
demon added a comment.Via ConduitJul 21 2009, 6:32 PM

+shell

bzimport added a comment.Via ConduitJul 25 2009, 2:40 AM

nkomura wrote:

The usability team is very excited to hear about the offer of making Vector skin from Wikinews community! Vector now supports RTL. Major bugs and straight-forward enhancements were deployed on July 10th. So far the bug reporting has been subsided. The following lists summarizes the bugs closed and revisions deployed.
http://tinyurl.com/ku9cxq
http://www.mediawiki.org/wiki/Special:Code/MediaWiki/tag/acaifix

We will be thrilled to see Vector as a default skin for Wikinews. The enhanced toolbar is not automatically turned on by making Vector default. The enhanced toolbar should make the use of editing page a lot easier for the new editors, so we highly recommend to make it default along with Vector.

Please let us know if you have any questions or concerns.

  • Naoko

P.S. My WMF email address is nkomura@wikimedia.org.

bzimport added a comment.Via ConduitAug 9 2009, 9:25 PM

paul wrote:

Please note that this bug was filed prematurely. The community has not reached a consensus on this vote - please do not action this bug. Changing to INVALID.

Community vote that reached No Consensus:
http://en.wikinews.org/w/index.php?title=Wikinews:Water_cooler/proposals&oldid=859031#Make_Vector_Default_Skin

bzimport added a comment.Via ConduitOct 18 2009, 2:38 AM

wiki wrote:

A new vote was run. The community now agrees that having Vector as the default would be a Good Thing (TM).

Vote outcome - 22 for / 1 abstain / 2 oppose
http://en.wikinews.org/w/index.php?title=Wikinews:Water_cooler/proposals&diff=898493&oldid=898479#Vector_Vote_-_Now_with_50.25_more_drama

bzimport added a comment.Via ConduitOct 19 2009, 9:42 PM

nkomura wrote:

Great to hear that Wikinews voted to make Vector default. We have two questions - (1) We couple Vector and the enhanced toolbar as Beta. Will you confirm that we can enable the enhanced toolbar as default? (2) We are preparing enhancements to Vector for late October or early November. Enhancements are; watch/unwatch tab, cascading tabs in when tabs start overlapping, and new search box with search suggestions. I suggest we make Vector default once we apply the enhancements.

bzimport added a comment.Via ConduitOct 19 2009, 10:54 PM

wiki wrote:

Per #1 - If the toolbar comes with Vector, we'll take that too. The crew is curious if there is going to be a way to go "legacy" on the toolbar? (Some people don't like change, as much as we try to beat them into conformity)

Per #2 - We're ready for it now but if you feel that it should wait, we'll wait. Basically all the regular users (all 40 of us) are already using Vector so we're used to getting the periodic updates and fixes. We've got a few CSS & JS experts, so we're fairly fast about fixing our broken gadgets and styles.

bzimport added a comment.Via ConduitOct 19 2009, 11:06 PM

brian.mcneil wrote:

For those who remember Usenet pseudo-HTML tags...

<AOL>Me too!</AOL>

Wikinews' CSS and Javascript geeks are conditioned to a life of constant pestering for improvements - they'll cope ;-)

RobH added a comment.Via ConduitOct 20 2009, 12:45 AM

Ok,

The toolbar does NOT come with Vector. I have pushed Vector to be the default skin. However, the toolbar is NOT part of this bug. I am going to assume that consensus and discussion needs to take place, and close this bug. If the toolbar becomes an issue, either reopen this bug or create a new one!

Thanks!

bzimport added a comment.Via ConduitOct 20 2009, 3:15 AM

nkomura wrote:

Thanks, Rob. Please see comment #7 and #8. en.wikinews folks confirmed that they do want the enhanced toolbar as default as well. Please enable it too. Please also hide "Try Beta" link as we no longer need the opt-in link when the Vector is default. Thanks!

Catrope added a comment.Via ConduitOct 20 2009, 4:29 PM

(In reply to comment #9)

Please also hide "Try Beta" link as we no longer need the opt-in link when the
Vector is default. Thanks!

This should only be done if both Vector and the toolbar are enabled by default; the setting for this is $wmgUsabilityOptIn = false; (or something along those lines, $wmgUse... maybe)

bzimport added a comment.Via ConduitOct 26 2009, 11:54 PM

nkomura wrote:

(In reply to comment #6)

Per #1 - If the toolbar comes with Vector, we'll take that too. The crew is
curious if there is going to be a way to go "legacy" on the toolbar? (Some
people don't like change, as much as we try to beat them into conformity)

Technically, Vector and the enhanced toolbar are two independent features. However the beta offered both Vector and the enhanced toolbar. The enhanced toolbar can be turned off from user preferences by unchecking, "Enable enhanced editing toolbar", in the "Experimental Features" section, under "Editing" tab in preferences. Usability[1] and Strategy[2] Wikis both use Vector and the enhanced toolbar default. I think the user experience is simpler and the page looks cleaner if we make the enhanced toolbar default and turn off "Try Beta". In the community voting process, "Vector" and "Beta" was discussed interchangeably. I thought to inquire one more time, if the request was just to make "Vector" default of make the beta features default. I appreciate your advice.

[1] http://usability.wikimedia.org/wiki/Main_Page
[2] http://strategy.wikimedia.org/wiki/Main_Page

bzimport added a comment.Via ConduitOct 27 2009, 12:36 AM

nkomura wrote:

(In reply to comment #11)

(In reply to comment #6)
> Per #1 - If the toolbar comes with Vector, we'll take that too. The crew is
> curious if there is going to be a way to go "legacy" on the toolbar? (Some
> people don't like change, as much as we try to beat them into conformity)

Technically, Vector and the enhanced toolbar are two independent features.
However the beta offered both Vector and the enhanced toolbar. The enhanced
toolbar can be turned off from user preferences by unchecking, "Enable enhanced
editing toolbar", in the "Experimental Features" section, under "Editing" tab
in preferences. Usability[1] and Strategy[2] Wikis both use Vector and the
enhanced toolbar default. I think the user experience is simpler and the page
looks cleaner if we make the enhanced toolbar default and turn off "Try Beta".
In the community voting process, "Vector" and "Beta" was discussed
interchangeably. I thought to inquire one more time, if the request was just
to make "Vector" default of make the beta features default. I appreciate your
advice.

[1] http://usability.wikimedia.org/wiki/Main_Page
[2] http://strategy.wikimedia.org/wiki/Main_Page

Opt-in rate for the toolbar is also can be viewed at:
http://en.wikinews.org/wiki/Special:PrefStats/usebetatoolbar
As of October 26, 2009, 512 users continue using the enhanced toolbar out of 548 users who tried out. (approximately 93% retention rate)

bzimport added a comment.Via ConduitOct 27 2009, 1:50 AM

wiki wrote:

You can go ahead and turn on the enhanced toolbar as default and then remove the "try beta". Naoko beat me to the punch, we've got high retention rates for the enhanced toolbar. For the few "old fashion types", since they can change back, everyone will be happy.

Catrope added a comment.Via ConduitOct 27 2009, 9:22 AM

(In reply to comment #13)

You can go ahead and turn on the enhanced toolbar as default and then remove
the "try beta". Naoko beat me to the punch, we've got high retention rates for
the enhanced toolbar. For the few "old fashion types", since they can change
back, everyone will be happy.

For Rob's convenience:
$wmgUsabilityEnforce = true; // Note that the code associated with this var in CommonSettings is broken, my fault, see bug 20361 comment #10
$wmgUsabilityOptIn = false;

bzimport added a comment.Via ConduitOct 27 2009, 3:11 PM

nkomura wrote:

Great. We will schedule a time for the switch (making the enhanced toolbar default and remove "Try Beta"), and get back to you the date and time. Rob/Roan - please do not make the switch until we discuss the procedure and communicate the date to en.news folks in advance.

Bawolff added a comment.Via ConduitOct 27 2009, 7:29 PM

Note some of those people who have tried to the enhanced toolbar (by some people, I mean me specificly, and only me) had the toolbar not work whatsoever, and havn't gotten arround to turning it off. (nor have i gotten arround to isolating why it doesn't work, or to see if its my fault (quite possibly i have some js interefering with it. I have a lot of stuff in my personal js) and thus i havn't gotten arround to filing a bug report. However i can say the enhanced toolbar does work fine for me on the usability prototype, so the problem seems wikinews specific).

However considering the original toolbar is quite useless (imho) - turning on the new one probably is not a bad idea.

Catrope added a comment.Via ConduitOct 27 2009, 7:34 PM

(In reply to comment #16)

Note some of those people who have tried to the enhanced toolbar (by some
people, I mean me specificly, and only me) had the toolbar not work whatsoever,
and havn't gotten arround to turning it off. (nor have i gotten arround to
isolating why it doesn't work, or to see if its my fault (quite possibly i have
some js interefering with it. I have a lot of stuff in my personal js) and thus
i havn't gotten arround to filing a bug report. However i can say the enhanced
toolbar does work fine for me on the usability prototype, so the problem seems
wikinews specific).

We'll be pushing some toolbar fixes shortly, so hopefully it'll work for you after that; try http://prototype.wikimedia.org/deployment/ to verify that.

Bawolff added a comment.Via ConduitOct 27 2009, 7:56 PM

Yes, that works fine for me.

bzimport added a comment.Via ConduitOct 29 2009, 5:22 PM

nkomura wrote:

The plan is to enable the enhanced toolbar default and remove beta link at 18:00(UTC) on Friday October 30. Please let me know if the schedule does not work for en.wikinews folks. Roan Kattouw will apply the config change.

bzimport added a comment.Via ConduitOct 29 2009, 6:03 PM

wiki wrote:

Works for me. Site notice has been changed & IRC /topic'd. So the community is considered "alerted".

bzimport added a comment.Via ConduitOct 29 2009, 11:44 PM

nkomura wrote:

Great. We will proceed.

Catrope added a comment.Via ConduitOct 30 2009, 6:41 PM

(In reply to comment #19)

The plan is to enable the enhanced toolbar default and remove beta link at
18:00(UTC) on Friday October 30. Please let me know if the schedule does not
work for en.wikinews folks. Roan Kattouw will apply the config change.

Config change done, sitenotice updated.

Add Comment